%global pypi_name pyjf3

Name:           python3-%{pypi_name}
Version:        0.3
Release:        9%{?dist}
Summary:        Python module for Japanese text manipulation

License:        MIT
URL:            https://pypi.python.org/pypi/pyjf3
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1:         pyjf3.license.patch

BuildArch:      noarch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

%description
%{summary}.

%prep
%setup -q -n %{pypi_name}-%{version}
#Remove egg.info
rm -rf %{pypi_name}.egg.info
%patch1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files
%license LICENSE
%doc README.rst  
%{python3_sitelib}/__pycache__/pyjf3.*
%{python3_sitelib}/pyjf3*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.3-6
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Oct 01 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.3-2
- Update Python Macros
- Patch license file

* Mon Aug 03 2015 William Moreno Reyes <williamjmorenor at gmail.com> - 0.3-1
- Initial Packaging
